#ifndef EYEMAPWIDGET_H
#define EYEMAPWIDGET_H

#include <QWidget>
#include <QTimer>

#include "spdlog/spdlog.h"

namespace Ui {
class EyeMapWidget;
}

class EyeMapWidget : public QWidget
{
    Q_OBJECT

public:
    explicit EyeMapWidget(QWidget *parent = nullptr);
    ~EyeMapWidget();

private slots:
    void do_exit();
    /* 时间跳动槽函数 */
    void do_timeWalk();
    /* 设置眼图个数槽函数 */
    void do_pBtnSettingNum();

private:
    Ui::EyeMapWidget *ui;
    std::shared_ptr<spdlog::logger> m_logger = nullptr;
    QTimer m_timerTime;                         /* 时间定时器 */
};

#endif // EYEMAPWIDGET_H
