#ifndef ONESETTINGITEM_H
#define ONESETTINGITEM_H

#include <QWidget>
#include "spdlog/spdlog.h"

namespace Ui {
class OneSettingItem;
}

class OneSettingItem : public QWidget
{
    Q_OBJECT

public:
    explicit OneSettingItem(QWidget *parent = nullptr);
    ~OneSettingItem();

    /* 设置行数和列数 */
    void setRowColumn(int row, int column);

private:
    Ui::OneSettingItem *ui;
    std::shared_ptr<spdlog::logger> m_logger = nullptr;
};

#endif // ONESETTINGITEM_H
